LIGHTFALLOFF(3CgFX)

NAME
LightFalloff - 3D API light falloff

USAGE
LightFalloff[i] = float(angle)

VALID ENUMERANTS
angle: floating point value

DESCRIPTION
Specify the lights maximum spread angle. See the GL_SPOT_CUTOFF description on the OpenGL glLight manual page for details. See the Falloff member of the D3DLIGHT9 argument to IDirect3DDevice9::SetLight method.

The standard reset callback sets the LightFalloff[i] state to float(180).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
LightAmbient, LightAttenuation0, LightAttenuation1, LightAttenuation2, LightConstantAttenuation, LightDiffuse, LightDirection, LightEnable, LightLinearAttenuation, LightModelAmbient, LightModelColorControl, LightModelLocalViewerEnable, LightModelTwoSideEnable, LightPhi, LightPosition, LightQuadraticAttenuation, LightRange, LightSpecular, LightSpotCutoff, LightSpotDirection, LightSpotExponent, LightTheta, LightType, LightingEnable